depends = ('ITKPyBase', 'ITKStatistics', 'ITKQuadEdgeMesh', 'ITKMesh', 'ITKCommon', )
templates = (  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF2MF2', True, 'itk::Mesh<float,2>, itk::Mesh<float,2>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF2DTF2MF2DTF2', True, 'itk::Mesh<float,2,itk::DefaultDynamicMeshTraits<float,2>>, itk::Mesh<float,2,itk::DefaultDynamicMeshTraits<float,2>>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD2MD2', True, 'itk::Mesh<double,2>, itk::Mesh<double,2>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD2DTD2MD2DTD2', True, 'itk::Mesh<double,2,itk::DefaultDynamicMeshTraits<double,2>>, itk::Mesh<double,2,itk::DefaultDynamicMeshTraits<double,2>>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF3MF3', True, 'itk::Mesh<float,3>, itk::Mesh<float,3>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF3DTF3MF3DTF3', True, 'itk::Mesh<float,3,itk::DefaultDynamicMeshTraits<float,3>>, itk::Mesh<float,3,itk::DefaultDynamicMeshTraits<float,3>>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD3MD3', True, 'itk::Mesh<double,3>, itk::Mesh<double,3>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD3DTD3MD3DTD3', True, 'itk::Mesh<double,3,itk::DefaultDynamicMeshTraits<double,3>>, itk::Mesh<double,3,itk::DefaultDynamicMeshTraits<double,3>>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF4MF4', True, 'itk::Mesh<float,4>, itk::Mesh<float,4>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMF4DTF4MF4DTF4', True, 'itk::Mesh<float,4,itk::DefaultDynamicMeshTraits<float,4>>, itk::Mesh<float,4,itk::DefaultDynamicMeshTraits<float,4>>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD4MD4', True, 'itk::Mesh<double,4>, itk::Mesh<double,4>'),
  ('AdditiveGaussianNoiseMeshFilter', 'itk::AdditiveGaussianNoiseMeshFilter', 'itkAdditiveGaussianNoiseMeshFilterMD4DTD4MD4DTD4', True, 'itk::Mesh<double,4,itk::DefaultDynamicMeshTraits<double,4>>, itk::Mesh<double,4,itk::DefaultDynamicMeshTraits<double,4>>'),
  ('Mesh', 'itk::Mesh', 'itkMeshF2DTF2', False, 'float,2,itk::DefaultDynamicMeshTraits<float,2>'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2DTD2', False, 'double,2,itk::DefaultDynamicMeshTraits<double,2>'),
  ('Mesh', 'itk::Mesh', 'itkMeshF3DTF3', False, 'float,3,itk::DefaultDynamicMeshTraits<float,3>'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3DTD3', False, 'double,3,itk::DefaultDynamicMeshTraits<double,3>'),
  ('Mesh', 'itk::Mesh', 'itkMeshF4DTF4', False, 'float,4,itk::DefaultDynamicMeshTraits<float,4>'),
  ('Mesh', 'itk::Mesh', 'itkMeshD4DTD4', False, 'double,4,itk::DefaultDynamicMeshTraits<double,4>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetF2DTF2', False, 'float,2,itk::DefaultDynamicMeshTraits<float,2>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2DTD2', False, 'double,2,itk::DefaultDynamicMeshTraits<double,2>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetF3DTF3', False, 'float,3,itk::DefaultDynamicMeshTraits<float,3>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3DTD3', False, 'double,3,itk::DefaultDynamicMeshTraits<double,3>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetF4DTF4', False, 'float,4,itk::DefaultDynamicMeshTraits<float,4>'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD4DTD4', False, 'double,4,itk::DefaultDynamicMeshTraits<double,4>'),
  ('AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itk::AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itkAdditiveGaussianNoiseQuadEdgeMeshFilterQEMD2QEMD2', True, 'itk::QuadEdgeMesh< double,2 >, itk::QuadEdgeMesh< double,2 >'),
  ('AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itk::AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itkAdditiveGaussianNoiseQuadEdgeMeshFilterQEMD3QEMD3', True, 'itk::QuadEdgeMesh< double,3 >, itk::QuadEdgeMesh< double,3 >'),
  ('AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itk::AdditiveGaussianNoiseQuadEdgeMeshFilter', 'itkAdditiveGaussianNoiseQuadEdgeMeshFilterQEMD4QEMD4', True, 'itk::QuadEdgeMesh< double,4 >, itk::QuadEdgeMesh< double,4 >'),
)
factories = ()
